Bug 664064 - subscription-manager-gui does not see sub pools
Summary: subscription-manager-gui does not see sub pools
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Devan Goodwin
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-17 21:45 UTC by J.C. Molet
Modified: 2010-12-20 18:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 18:44:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description J.C. Molet 2010-12-17 21:45:17 UTC
Description of problem:
After following the personal subscription setup steps through kingpin1.devlab.phx1.redhat.com/kingpin my 'system' consumer does not see the available sub pool in rhsm-gui.  The cli interface does show this pool.

Version-Release number of selected component (if applicable):
subscription-manager-0.93.3-1.git.44.f449da5.fc14.x86_64
subscription-manager-gnome-0.93.3-1.git.44.f449da5.fc14.x86_64

How reproducible:
always

Steps to Reproduce:
1. Get a personal entitlement and activate it on kingpin.
2. register subscription-manager using the user/pass from step 1.
3. Search for your subscription using the gui.
  
Actual results:
The gui does not display the personal pools in the search.

Expected results:
The gui does display the personal pool in the search. 

Additional info:
[root@jmolet-vm1 ~]# subscription-manager list --available --all
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	Red Hat Enterprise Linux Entitlement Beta (1-2 Sockets)
                        (Unlimited Virtualization)
ProductId:         	RH3016037                
PoolId:            	8a878c912ceba4d7012cf54682320641
Quantity:          	0                        
Expires:           	2011-12-02               


ProductName:       	Red Hat Enterprise Linux Entitlement Beta (1-2 Sockets)
                        (Unlimited Virtualization)
ProductId:         	RH3036913                
PoolId:            	8a878c912ceba4d7012cf54eaec5064d
Quantity:          	10                       
Expires:           	2011-12-02  

the first item is of type 'system', the second is of type 'personal'.  The rhsm-gui doesn't recognize the personal pool at all, though it is fully available from the cli.  Even after successfully subscribing to the pool via the cli and the gui is restarted, the gui still doesn't seem to have any concept of this subscription.

Comment 1 Devan Goodwin 2010-12-20 16:39:47 UTC
Few questions for you JC:

1. What was the product name or ID you subscribed to in Kingpin? Does Kingpin display any info about what the derived product will be?

2. When you say one of the pools visible on CLI was of the type system and one of the type personal, could you clarify how you were determining this?

3. In the RHSM GUI, if you check the "provides software not yet installed", do you now see the pools?

4. If you repeat the CLI command above, but omit the --all, what results do you see?

Thanks.

Comment 2 J.C. Molet 2010-12-20 18:40:17 UTC
1) on https://kingpin1.devlab.phx1.redhat.com/kingpin/ using user5, I subscribed to 

ProductName:       	Red Hat Enterprise Linux Entitlement Beta (1-2 Sockets)
                        (Unlimited Virtualization)
ProductId:         	RH3016037                
PoolId:            	8a878c912ceba4d7012cf54682320641

After subscribing on the site, It took me back to the subscriptions page and created this:

ProductName:       	Red Hat Enterprise Linux Entitlement Beta (1-2 Sockets)
                        (Unlimited Virtualization)
ProductId:         	RH3036913                
PoolId:            	8a878c912ceba4d7012cf54eaec5064d

2) We were able to determine the types by the quantities.  The 'system' typed subscription had 10 available entitlements and the 'personal' one had 1 (0 after subscribing to it on kingpin).

3) It is showing upon second look.  

4) [root@jmolet-vm1 ~]# subscription-manager list --available
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	Red Hat Enterprise Linux Entitlement Beta (1-2 Sockets)
                        (Unlimited Virtualization)
ProductId:         	RH3036913                
PoolId:            	8a878c912ceba4d7012cf54eaec5064d
Quantity:          	10                       
Expires:           	2011-12-02               

[root@jmolet-vm1 ~]#

Comment 3 J.C. Molet 2010-12-20 18:44:21 UTC
Marking closed as it is now working...


Note You need to log in before you can comment on or make changes to this bug.